API referenceCompile
Compile without an API key (playground)
POST
Heavily rate limited per IP and restricted to small JSON projects. Returns the same responses as /v1/compile.
application/json- body
source?stringSingle-file document source.
Length
1 <= length <= 200000files?array<>Items
items <= 20entrypoint?stringengine?EngineTeX engine. Detected from a % !TEX program = ... magic comment when omitted; defaults to pdflatex.
Value in
"pdflatex""xelatex""lualatex"PDF or job envelope
response?fileapplication/pdfFormat
binarycurl -X POST 'https://latex-api.crafter.run/v1/demo/compile' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
"string"